# --------------------------------------------------------------------
# File FINDTSR.MAK
# Makefile for TSR locator utility.
#
# Copyright (C) 1994, Brian Sawert.
# All rights reserved.
#
# Notes:
#	Compatible with PolyMake.
#	Set d=y on command line to invoke debugging info.
# --------------------------------------------------------------------

INCPATH = c:\bc\include
LIBPATH	= c:\bc\lib

.PATH.obj = .\obj

.REMAKE

CL = bcc				# C compiler
LINK = tlink				# linker
MODEL = s				# model size

# --------------------------------------------------------------------

%if "$(d)" != ""			# build a debug version
CFLAGS= -c -f- -k -N -m$(MODEL) -I$(INCPATH) -L$(LIBPATH) -v
LFLAGS= /c /m /v
%else					# build a normal version
CFLAGS= -c -f- -k -N -m$(MODEL) -I$(INCPATH) -L$(LIBPATH)
LFLAGS= /c
%endif

# --------------------------------------------------------------------

PROGNAME = findtsr
MODULES = findtsr mcb

# --------------------------------------------------------------------

OMODULES = $[f,,$(MODULES),obj]


# implicit rules

.c.obj :
	%if !%dir($(.PATH.obj))
		mkdir $(.PATH.obj)
	%endif
	-$(CL) $(CFLAGS) -o$@ $<
	%if %status > 0
		%exit %status
	%endif


# implicit dependencies

$(PROGNAME).exe:  $(OMODULES) $(MAKEFILE)
	-$(LINK) $(LFLAGS) <@<
	$(LIBPATH)\c0$(MODEL).obj +
	$[s," +\n",$[f,$(.PATH.obj),$(OMODULES),obj]]
	$@
	$*.map
	c$(MODEL).lib
<


# explicit dependencies

findtsr.obj:	findtsr.c mcb.h
mcb.obj:	mcb.c mcb.h

